# Cinder

# CaptureCocoa Class Reference

`#import <CaptureCocoa.h>`

List of all members.

## Public Member Functions
(id) | - initWithDevice:width:height:
(void) | - prepareStartCapture
(void) | - startCapture
(void) | - stopCapture
(BOOL) | - isCapturing
(cinder::Surface8u) | - getCurrentFrame
(BOOL) | - checkNewFrame
(size_t) | - getCurrentFrameBytesPerRow
(size_t) | - getCurrentFrameWidth
(size_t) | - getCurrentFrameHeight
## Protected Attributes
BOOL | isCapturing
QTCaptureSession * | mCaptureSession
QTCaptureDecompressedVideoOutput * | mCaptureDecompressedOutput
QTCaptureDeviceInput * | mCaptureDeviceInput
CVPixelBufferRef | mWorkingPixelBuffer
cinder::Surface8u | mCurrentFrame
int | mWidth
int | mHeight
int | mSurfaceChannelOrderCode
NSString * | mDeviceUniqueId
int | mExposedFrameBytesPerRow
int | mExposedFrameHeight
int | mExposedFrameWidth
BOOL | mHasNewFrame

## Member Function Documentation

- (id) initWithDevice: |  | (const cinder::Capture::Device&) | device
width: |  | (int) | width
height: |  | (int) | height |

- (void) prepareStartCapture |  |  |  |

- (void) startCapture |  |  |  |

- (void) stopCapture |  |  |  |

- (BOOL) isCapturing |  |  |  |

- cinder: |  |  |  |

- (BOOL) checkNewFrame |  |  |  |

- (size_t) getCurrentFrameBytesPerRow |  |  |  |

- (size_t) getCurrentFrameWidth |  |  |  |

- (size_t) getCurrentFrameHeight |  |  |  |

## Member Data Documentation

- (BOOL) isCapturing`[protected]`

- (QTCaptureSession*) mCaptureSession`[protected]`

- (QTCaptureDecompressedVideoOutput*) mCaptureDecompressedOutput`[protected]`

- (QTCaptureDeviceInput*) mCaptureDeviceInput`[protected]`

- (CVPixelBufferRef) mWorkingPixelBuffer`[protected]`

- cinder:`[protected]`

- (int) mWidth`[protected]`

- (int) mHeight`[protected]`

- (int) mSurfaceChannelOrderCode`[protected]`

- (NSString*) mDeviceUniqueId`[protected]`

- (int) mExposedFrameBytesPerRow`[protected]`

- (int) mExposedFrameHeight`[protected]`

- (int) mExposedFrameWidth`[protected]`

- (BOOL) mHasNewFrame`[protected]`

The documentation for this class was generated from the following files:

- include/cinder/CaptureCocoa.h
- src/cinder/CaptureCocoa.mm